GuidesAPI EndpointsAPI Changelog
Live AI Demo
API Endpoints

🧠 Match Jobs indexed in Boards to a Job

This endpoint allows you to find Jobs similar to a target Job.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

The Job's unique identifier.

string

Exclude Jobs according to the list of Jobs keys. Example : ["xxx", "yyy", "zzz"]

string

The Job reference chosen by the customer.

string
required

The key of Board attached to the Job.

string
required

The list of the keys of the Boards containing the targeted Jobs. Example : ["xxx", "yyy", "zzz"]

string
Defaults to 1

The number of the current results' page.

string
Defaults to 30

The number of results per page

string
enum
Defaults to desc

Order results by asc, or desc.

Allowed:
string
enum

Sort results by searching, scoring, created_at, updated_at, location, location_experience, location_education.

Allowed:
string

Set a minimum creation date.

string

Set a maximum creation date.

string

Filter Jobs by their names. Example : ["xxx", "yyy", "zzz"]

string

Filter Jobs by their location address. Example : {"lat":47.21812, "lng":-1.55306}

int32

Set a radius around the Jobs' location address (in Km).

string

Filter Jobs by keywords in their summary section. Example : ["xxx", "yyy", "zzz"]

string

Filter Jobs by keywords in the full text. Example : ["xxx", "yyy", "zzz"]

boolean
Defaults to false

If enabled, this feature enriches the search by including synonyms of the keywords specified in text_keywords, broadening the search results.

string

Filter results by a list of skills names and their values. Example : [{"name":"python", "value":null}]

string

Filter results by a list of languages names and their values. Example : [{"name":"english", "value":null}]

string

Filter results containing certain tag names and their values. Shape of this field [ [... OR ...] AND [... OR ...] ]. Example : [[{"name":"sync","value":"1"}]]

string

Exclude results containing certain tag names and their values. Shape of this field [ [... OR ...] AND [... OR ...] ]. Example : [[{"name":"sync","value":"0"}]]

string

Filter results by a range of floats. Example : [{"name":"salary", "value_min":30, "value_max":40}]

string

Filter results by a range of dates. Example : [{"name":"Dates", "value_min":"2020-05-18T21:59", "value_max":"2020-09-15T21:59"}]

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json